Subject: Re: Fw: [Bugme-new] [Bug 3657] New: downed interfaces acting as aliases

From: Ben Greear <[email-masked]>
Date: Fri, 29 Oct 2004 00:28:47 -0700

David S. Miller wrote:
> On Fri, 29 Oct 2004 00:10:58 -0700

> People hate it that when there's a decision of whether to
> reply to something or not, we do whatever we can to reply
> to packets we receive if we can find a way to do so.  This
> approache increases the likelyhood that two hosts can
> communicate successfully.  I need not remind people about
> how much people dislike our default ARP behavior :-) but
> it is done that way for the same reason.

Note I was distictly kind enough not to bring it up either :)
(I have already patched & hacked around that problem some years ago!)

Since you finally accepted the arp fixup, maybe you'd at least let
in a flag to change the default behaviour of downed interfaces too?

Ben

-- 
Ben Greear <[email-masked]>
Candela Technologies Inc  http://www.candelatech.com